org.apache.felix.ipojo.manipulator.spi

## Interface AnnotationVisitorFactory

All Known Implementing Classes:
  GenericVisitorFactory, NullVisitorFactory, StereotypeVisitorFactory

    public interface AnnotationVisitorFactory

Produces a new `AnnotationVisitor` instance for the given `BindingContext`.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`org.objectweb.asm.AnnotationVisitor` `newAnnotationVisitor(BindingContext context)` May return null if no visitor can be created.

### Method Detail

#### newAnnotationVisitor

    org.objectweb.asm.AnnotationVisitor newAnnotationVisitor(BindingContext context)

May return null if no visitor can be created.